Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
playlists
/
{id}
/
items
/
{item_id}
Update Playlist Item
curl --request PATCH \
  --url https://api.member.dev/api/v1/teams/{team_id}/playlists/{id}/items/{item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "position": 1
    },
    "id": "<string>",
    "type": "playlist_items"
  }
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
id
string
required
item_id
string
required

Body

application/vnd.api+json

Request body for PATCH /api/teams/{team_id}/playlists/{id}/items/{item_id}.

data
PlaylistItemUpdateData · object
required

Response

Successful Response